Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229069 - kexec does not work with upstream kernels in RHEL5
Summary: kexec does not work with upstream kernels in RHEL5
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kexec-tools
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Neil Horman
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-16 19:44 UTC by Josef Bacik
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-0548
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 18:02:52 UTC


Attachments (Terms of Use)
massaged patch that applies to the rhel5 package. (deleted)
2007-02-16 20:11 UTC, Josef Bacik
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0548 normal SHIPPED_LIVE kexec-tools bug fix and enhancement update 2007-10-30 16:07:22 UTC

Description Josef Bacik 2007-02-16 19:44:02 UTC
When using an upstream kernel I couldn't get kdump to start with the RHEL5 
kexec-tools, but it would start with the F7 kexec-tools.  The patch that fixed 
this is kexec-tools-1.101-relocatable-bzimage.patch in the F7 package.  I 
built and tested the RHEL5 package with that patch and it worked fine with 
both the upstream and RHEL5 kernels.

Comment 1 Josef Bacik 2007-02-16 20:11:13 UTC
Created attachment 148236 [details]
massaged patch that applies to the rhel5 package.

Comment 2 Neil Horman 2007-02-20 16:54:40 UTC
ixed in -167.el5.  I rediffed the version you uploaded since this patch really
belongs at the start of the series, rather than at the end, but thanks for all
the effort josef. you should be able to use upstream kernels with RHEL5's kdump now.

Comment 3 RHEL Product and Program Management 2007-03-21 21:59:02 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 9 errata-xmlrpc 2007-11-07 18:02:52 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0548.html



Note You need to log in before you can comment on or make changes to this bug.